Introduktion

Med HP Driver Deployment Utility (DDU) kan administratörer skapa ett installationspaket för drivrutiner som kan installeras automatiskt av slutanvändaren. Verktyget stöder tillägg av skrivardrivrutiner i Windows drivrutinsarkiv och skapande av poster i skrivarmappen. Driver Deployment Utility stöder även tillägg av skrivardrivrutiner som ska användas med Microsofts guide Lägg till skrivare. Alla Microsofts certifieringsbegränsningar och meddelanden gäller.

Gränssnittet är uppdelat i 3 områden:

  1. I ”Paketkälla” beskrivs pakettypen och den drivrutinsplats som du vill skapa.
  2. I ”Paketmål” visas installationspaketets namn och placering.
  3. I ”Skapa paket” startas processen för att skapa paketet.


Paketkälla

Drivrutinskatalog

Använd knappen ”Välj drivrutin …” för att välja en inf-fil i drivrutinskatalogen genom att bläddra till eller skriva in namnet. Du bör endast ha ett drivrutinspaket i den här katalogen eftersom verktyget kommer att packa ihop alla filer som finns i katalogen (samt underkataloger) till en körbar fil. Om du har hämtat ett komprimerat drivrutinspaket måste du expandera det innan du använder det här verktyget.

I vissa fall kan du ha flera inf-filer för drivrutiner i katalogen (ibland kan en avse färgskrivare och en annan svartvita skrivare). I sådana fall kommer en extra dialogruta hjälpa dig att välja vilken drivrutin som ska ingå i paketet.

Du får också en varning om katalogen är stor. Därmed kan du undvika att paketera fler än en drivrutin. Om katalogen innehåller alla filer du vill ha eller behöver kan du i detta läge välja att fortsätta.

När du har valt katalog för drivrutinen, och en drivrutin har hittats, visas information om katalogen och drivrutinen.

För drivrutiner som stöder konfiguration i förväg kommer kryssrutan nedan att vara aktiverad. Om du markerar den visas en konfigurationsdialog när du har klickat på knappen ”Skapa paket”.

Installationstyp

”Förinläs drivrutinen”- ska väljas för användare som kommer att använda en direktanslutning, som t ex en USB-kabel. En framtida Plug and Play-händelse krävs för att installera drivrutinen, men alla filer kommer att installeras i Windows drivrutinsarkiv med detta paket för framtida användning. Obs! Om flera drivrutiner hittas för en enhet kommer operativsystemet antingen att avgöra vilken drivrutin som bäst matchar Plug and Play-händelsen eller ge användaren möjligheten att välja drivrutin i en dialogruta.

Som standard körs denna fil med en förloppsdialog. Du kan stänga av förloppsdialogen genom att köra filen med ”/q” på kommandoraden. Om du vill uppmana slutanvändaren att ansluta skrivaren i slutet av installationen markerar du kryssrutan ”Visa ett meddelande om att ansluta skrivaren”.

För skrivare där en nätverksanslutning används väljer du alternativet ”Skapa nätverksport och installera drivrutin”. Knappen ”Nätverksinställningar” kommer att aktiveras, och du bör klicka på den för att ange de nätverksinställningar som behövs.

Nätverksinställningar

Du måste identifiera nätverksskrivaren genom en eller flera av följande metoder. Detta verktyg kommunicerar inte med enheten för att avgöra om inställningarna är giltiga, däremot sker syntaxkontroll. (För att aktivera ny identifiering av enheten måste du se till att maskinvaruadressen är angiven.)

IP-adress:

Ange skrivarens IPv4- eller IPv6-adress.

Maskinvaruadress:

Ange skrivarens maskinvaruadress.

Värdnamn:

Ange skrivarens värdnamn.

Följande nätverksinställningar kan också göras. Du kan välja att antingen acceptera redan angivna standardvärden eller ändra dem.

Portnamn:

Detta är namnet på den nätverksport som kommer att skapas. Om namnet redan finns läggs en siffra till för att göra det unikt.

Skrivarnamn:

Detta är det skrivarnamn som kommer att visas i skrivarens mapp. Om namnet redan finns läggs en siffra till för att göra det unikt.

Vill du använda den här skrivaren som standardskrivare?

Ja – den här skrivaren blir standardvalet vid utskrift från andra program.

Nej – nuvarande standardskrivare gäller, om inte denna skrivare är den enda som är installerad.

Vill du dela skrivaren?

Ja – andra användare kommer att tillåtas använda skrivaren.

Resursnamn:

Skrivarens resursnamn. Efterfrågas enbart om du svarat Ja på frågan ”Vill du dela skrivaren?”. Om namnet redan finns läggs en siffra till för att göra det unikt.


Paketmål

Klicka på knappen ”Spara som …” för att ange namn och plats för det resulterande paketet. Verktyget skapar paketet i en tillfällig katalog, och flyttar det sedan till dess slutgiltiga plats. Paketet består av två filer som måste levereras tillsammans: en .exe-fil och en .cab-fil.

En matchande xml-beskrivningsfil med information om paketet kopieras också till målplatsen. Xml-paketet är endast avsett som information, och används inte av DDU under körningen.


Skapa paket

Klicka på knappen ”Skapa paket” när du har angett all information ovan. Den här knappen kommer att vara inaktiverad till dess att du har angett den information som behövs. När du klickat på knappen kommer knappen ”Avbryt” och fältet ”Förlopp” att aktiveras.

Klicka på ”Avbryt” om du vill avbryta skapandet av paketet.

Den körbara filen körs med en förloppsdialog och, om så önskas, med en användarprompt för en direktansluten skrivare. Om ett fel inträffar under körningen visas en feldialogruta. Du kan eliminera feldialogrutan genom att markera kryssrutan ”Dölj alla felmeddelanden för slutanvändare”.


Ytterligare anmärkningar

Du stänger det här programmet genom att klicka på fönsterstängningsknappen uppe till höger.


Operativsystem som stöds

Microsoft Windows 7

Microsoft Windows 7 64-bitarsversion

Microsoft Windows Server 2008 R2 64-bitarsversion

Microsoft Windows 8

Microsoft Windows 8 64-bitarsversion

Microsoft Windows Server 2012 64-bitarsversion

Microsoft Windows Server 2012 R2 64-bitarsversion

Microsoft Windows 8.1

Microsoft Windows 8.1 64-bitarsversion

Microsoft Windows Server 2016, 64-bitarsversionen

Microsoft Windows 10

Microsoft Windows 10, 64-bitarsversionen

Microsoft Windows Server 2019, 64-bitarsversionen


Kommandoradsalternativ

Du kan ändra slutanvändarpaketet genom att lägga till kommandoradsväxlar. Det går att använda flera kommandoradsväxlar om de separeras med blanksteg. Ett felmeddelande visas om kommandoraden innehåller ett fel, till exempel ett ogiltigt tecken eller felaktig formatering. Ogiltiga kommandoradsväxlar ignoreras. Följande kommandoradsbeskrivning är också tillgänglig (på engelska) när du kör slutanvändarpaketet med ”/?”.

Förinlästa paket har stöd för följande kommandoradsalternativ:

/? visa kommandoradsinformation (endast engelska)

/q dölj förloppsfältet

/p uppmana användaren att ansluta skrivaren

/s dölj alla felmeddelanden för slutanvändare

Nätverksskrivarpaket har stöd för följande kommandoradsalternativ:

/? visa kommandoradsinformation (endast engelska)

/q dölj förloppsfältet

/s dölj alla felmeddelanden för slutanvändare

/ip <ip-adress> använd definierad IP-adress för att identifiera skrivaren, t ex /ip 120.25.5.56

/hw <maskinvaruadress> använd definierad maskinvaruadress för att identifiera skrivaren, t ex /hw 0001E6299128

/hn <värdnamn> använd definierat värdnamn för att identifiera skrivaren, t ex /hn Mittvärdnamn

Värdnamnet får inte vara längre än 255 tecken och kan endast innehålla följande tecken:A–Z, a–z, 0–9 och bindestreck (-).

/pn <portnamn> använd definierat namn som portnamn, t ex /pn HPPort

Portnamnet får inte innehålla blanksteg och det får inte vara längre än 128 tecken.

/n ”<skrivarnamn>” använd definierat namn som skrivarnamn, t ex /n "HP LaserJet 8150"

Skrivarnamnet måste omslutas av citationstecken, får inte vara längre än 40 tecken och får inte innehålla några av dessa specialtecken: ! # ,

/d ange skrivaren som standardskrivare

/sn ”<resursnamn>” aktivera delning och använd definierat namn som resursnamn för skrivaren, t ex /sn ”Min delade HP LaserJet 8150”

Resursnamnet måste omslutas av citationstecken, får inte vara längre än 80 tecken och får inte innehålla några av dessa specialtecken: / \ : ; “ ? * + = < > [ ]

© Copyright 2019 HP Development Company, L.P.